// WFProcess 流程模版基本信息
import { defHttp } from '@/utils/http/axios';
import {
  countItem,
  countModel,
  AccountParams,
  AddParams,
  countDetItem,
  bmItem,
  housebmItem
} from './model/index';

enum Api {
  // 获取用地贡献分页列表
  LoadGongxiandiPageList = '/api/TaxGongxian/LoadGongxiandiPageList',
  //  根据id获取单个土地贡献
  GetGongxiandiInfoById = '/api/TaxGongxian/GetGongxiandiInfoById',
  //  根据所属宗地编码获取单个土地贡献
  GetGongxiandiInfoByBM = '/api/TaxGongxian/GetGongxiandiInfoByBM',
  // 新增
  AddGongxiandi = '/api/TaxGongxian/AddGongxiandi',
  // 编辑
  UpdateGongxiandi = '/api/TaxGongxian/UpdateGongxiandi',
  // 删除
  DeleteGongxiandi = '/api/TaxGongxian/DeleteGongxiandi',

  // 获取用房贡献分页列表
  LoadGongxianfangPageList = '/api/TaxGongxian/LoadGongxianfangPageList',
  //  根据id获取单个用房贡献
  GetGongxianfangInfoById = '/api/TaxGongxian/GetGongxianfangInfoById',
  //  根据所属宗地编码获取单个用房贡献
  GetGongxianfangInfoByBM = '/api/TaxGongxian/GetGongxianfangInfoByBM',
  // 新增
  AddGongxianfang = '/api/TaxGongxian/AddGongxianfang',
  // 编辑
  UpdateGongxianfang = '/api/TaxGongxian/UpdateGongxianfang',
  // 删除
  DeleteGongxianfang = '/api/TaxGongxian/DeleteGongxianfang',

}


/**
 * @description: getCaseFlowLog
 */
export function LoadGongxiandiPageList(params?: AccountParams) {
  return defHttp.get<countModel>({ url: Api.LoadGongxiandiPageList, params });
}
export function GetGongxiandiInfoById(params?: countItem) {
  return defHttp.get<countModel>({ url: Api.GetGongxiandiInfoById, params });
}
export function GetGongxiandiInfoByBM(params?: bmItem) {
  return defHttp.get<countModel>({ url: Api.GetGongxiandiInfoByBM, params });
}
export function AddGongxiandi(params?: AddParams) {
  return defHttp.post<countModel>({ url: Api.AddGongxiandi, params });
}
export function UpdateGongxiandi(params?: AddParams) {
  return defHttp.post<countModel>({ url: Api.UpdateGongxiandi, params });
}
export function DeleteGongxiandi(params?: countDetItem) {
  return defHttp.post<countModel>({ url: Api.DeleteGongxiandi, params });
}

export function LoadGongxianfangPageList(params?: AccountParams) {
  return defHttp.get<countModel>({ url: Api.LoadGongxianfangPageList, params });
}
export function GetGongxianfangInfoById(params?: countItem) {
  return defHttp.get<countModel>({ url: Api.GetGongxianfangInfoById, params });
}
export function GetGongxianfangInfoByBM(params?: housebmItem) {
  return defHttp.get<countModel>({ url: Api.GetGongxianfangInfoByBM, params });
}
export function AddGongxianfang(params?: AddParams) {
  return defHttp.post<countModel>({ url: Api.AddGongxianfang, params });
}
export function UpdateGongxianfang(params?: AddParams) {
  return defHttp.post<countModel>({ url: Api.UpdateGongxianfang, params });
}
export function DeleteGongxianfang(params?: countDetItem) {
  return defHttp.post<countModel>({ url: Api.DeleteGongxianfang, params });
}
